package com.rimfaxe.thread;

import java.io.*;
import java.util.Date;
import java.util.Vector;


/**
 *  This is a stubbed out logger class to write to the console. This can be
 *  replaced with a real logger
 *
 */
public class ReportingLogger
{
    /* Members ----------------------------------------------------------------------------- */



    /* Constructors ------------------------------------------------------------------------ */
    /** Empty constructor */
    private ReportingLogger()
    {

    }

    /* External Functions ------------------------------------------------------------------ */


    /** Stubbed Debug Write
     */
    public synchronized static void logDebug (String aMessage)
    {

        //System.out.println("Debug Log : " + aMessage);
    }



    /** Writes to all registered Error Logs
     *  @param aException Exception (if any) thrown. A string representation of the stack
    trace will be generated and added to the error logs
     *  @param aMessage String message to log
     */
    public synchronized static void logError (String aMessage)
    {
        //System.out.println("Error Log : " + aMessage);
    }


    /* Internal Functions ------------------------------------------------------------------ */

    /* Debug Functions --------------------------------------------------------------------- */
    public static void main(String[] args)
    {
        ReportingLogger.logDebug("Test Stubbed Debug Logger");
        ReportingLogger.logError("Test Stubbed Error Logger");
    }
}
